%define filename mecab-ruby

Summary: Ruby binding for MeCab
Summary(ja): MeCab の Ruby バインディング
Name: ruby-mecab
Version: 0.994
Release: 1%{?_dist_release}
Source0: http://mecab.googlecode.com/files/%{filename}-%{version}.tar.gz
License: GPL/LGPL/BSD
Group: Development/Libraries
URL: http://mecab.sourceforge.net/

Requires: mecab = %{version}
Requires: ruby >= 1.9.0
BuildRequires: ruby mecab-devel ruby-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Ruby binding for MeCab

%description -l ja
MeCab の Ruby バインディング

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{filename}-%{version}

%build
%ruby extconf.rb
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sitearchdir=${RPM_BUILD_ROOT}%rarchdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README bindings.html test.rb
%{rarchdir}/MeCab.so

%changelog
* Sat Dec 01 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.994-1
- new upstream release.

* Fri Jan 20 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.99-1
- new upstream release.

* Sat May 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.97-1
- new upstream release

* Thu Jun 20 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.96-0vl2
- upstream release

* Sun Jun 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.95-0vl3
- rebuilt with new toolchain

* Sat Mar 24 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.95-0vl2
- upstream release

* Sat Mar 3 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.94-0vl2
- upstream release

* Wed Sep 13 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.93-0vl3
- change License from LGPL to GPL/LGPL/BSD (upstream change)

* Thu Sep 7 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.93-0vl2
- upstream release

* Mon May 1 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.91-0vl2
- upstream release

* Fri Mar 31 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.90-0vl3
- change Group: Development/Languages

* Fri Mar 31 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.90-0vl2
- upstream release
- fix Source: and URL: and Groups:

* Sun Jun 26 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.81-0vl2
- initial build for VineSeedPlus
